Bug 22138 - members/paycollect.pl has not been updated to have the new tab names
Summary: members/paycollect.pl has not been updated to have the new tab names
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-16 00:37 UTC by Aleisha Amohia
Modified: 2019-02-06 17:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22138: updated tab names on members/paycollect.pl (1.59 KB, patch)
2019-01-16 01:07 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 22138: updated tab names on members/paycollect.pl (1.64 KB, patch)
2019-01-16 09:02 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22138: updated tab names on members/paycollect.pl (1.69 KB, patch)
2019-01-16 20:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-01-16 00:37:39 UTC
Under the new Accounting tab (was "Fines") the tabs have also been renamed - 'Account' became 'Transactions', and 'Pay fines' became 'Make a payment'.

These tab headings need to be updated on members/paycollect.pl
Comment 1 Jasmine Amohia 2019-01-16 01:07:57 UTC
Created attachment 84033 [details] [review]
Bug 22138: updated tab names on members/paycollect.pl

Test plan:
1. Give patron outstanding fees
2. Search patron and select 'Make payment'
3. Select either 'Pay' or 'Write off'
4. Confirm that first tab title remains as 'Transactions'
5. Confirm that current tab title remains as 'Make a payment'
Comment 2 ByWater Sandboxes 2019-01-16 09:02:40 UTC
Created attachment 84045 [details] [review]
Bug 22138: updated tab names on members/paycollect.pl

Test plan:
1. Give patron outstanding fees
2. Search patron and select 'Make payment'
3. Select either 'Pay' or 'Write off'
4. Confirm that first tab title remains as 'Transactions'
5. Confirm that current tab title remains as 'Make a payment'

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2019-01-16 09:25:20 UTC
Nice work Jasmine!

This works as intended, and I've signed it off.

For future test plans it might help if they are a little bit more detailed (this makes it easier and quicker for sign off and QA), for example:

1. Search for a patron (Patrons > Search > Select a patron)
2. Add an invoice for a patron (Accounting > Create manual invoice)
3. Before applying the patch check that when you click on the Pay and Write off buttons (under Accounting > Make a payment) the tab titles change to the old terms used 'Account' and 'Pay fines'
4. After applying the patch click on the Pay and Write off buttons again
5. Confirm that first tab title is now 'Transactions'
6. Confirm that second tab title is now 'Make a payment'

I was able to figure it out, so no worries.

Keep up the good work!

David
Comment 4 Katrin Fischer 2019-01-16 20:07:19 UTC
Created attachment 84080 [details] [review]
Bug 22138: updated tab names on members/paycollect.pl

Test plan:
1. Give patron outstanding fees
2. Search patron and select 'Make payment'
3. Select either 'Pay' or 'Write off'
4. Confirm that first tab title remains as 'Transactions'
5. Confirm that current tab title remains as 'Make a payment'

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-01-16 20:08:12 UTC
Good catch!
Comment 6 Nick Clemens 2019-01-28 14:16:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 12:42:56 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Jesse Maseto 2019-02-06 17:40:16 UTC
Merge conflict with 18.05.x. Please rebase if needed in 18.05.x.